Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.move.generic
Class GenericChainedChangePartMoveFactory

    java.lang.Object
      org.drools.planner.core.move.factory.AbstractMoveFactory
          org.drools.planner.core.move.generic.GenericChainedChangePartMoveFactory

All Implemented Interfaces:
  EventListener, DeciderAware, LocalSearchSolverPhaseLifecycleListener, MoveFactory

    public class GenericChainedChangePartMoveFactory

extends AbstractMoveFactory

Field Summary

Fields inherited from class org.drools.planner.core.move.factory.AbstractMoveFactory
`decider, logger`

Constructor Summary
`GenericChainedChangePartMoveFactory()`

Method Summary
`List<Move>` | `createMoveList(Solution solution)`
`void` | `phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`
`void` | `phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`

Methods inherited from class org.drools.planner.core.move.factory.AbstractMoveFactory
`beforeDeciding, setDecider, stepTaken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericChainedChangePartMoveFactory

    public GenericChainedChangePartMoveFactory()

Method Detail

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `phaseStarted` in class `AbstractMoveFactory`

### createMoveList

    public List<Move> createMoveList(Solution solution)

### phaseEnded

    public void phaseEnded(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseEnded` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `phaseEnded` in class `AbstractMoveFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.